Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Mylyn » Unable to load class org.eclipse.mylyn.internal.java.ui.JavaStackTraceHyperlinkDetector
Unable to load class org.eclipse.mylyn.internal.java.ui.JavaStackTraceHyperlinkDetector [message #40634] Thu, 10 January 2008 10:25 Go to next message
Francois Cottet is currently offline Francois CottetFriend
Messages: 19
Registered: July 2009
Junior Member
Hi all,

Since my Mylyn 2.2 update I have a recurrent error pop-up:
The 'org.eclipse.mylyn.java.hyperlink.detector.stack' extension from
plug-in 'org.eclipse.mylyn.java.ui' to the
'org.eclipse.ui.workbench.texteditor.hyperlinkDetectors' extension point
failed to load the hyperlink detector.
Plug-in org.eclipse.mylyn.java.ui was unable to load class
org.eclipse.mylyn.internal.java.ui.JavaStackTraceHyperlinkDe tector.
An error occurred while automatically activating bundle
org.eclipse.mylyn.java.ui (799).

The mylyn update was made today by the automatic eclipse install/update
feature.
I paste the log file of the workspace below, hoping this can help to
figure out what's missing.

And thanks to everyone making Mylyn such a great tool. I think it
improved the way to work for many of us.

Best regards,
Francois





!MESSAGE Plug-in org.eclipse.mylyn.java.ui was unable to load class
org.eclipse.mylyn.internal.java.ui.JavaStackTraceHyperlinkDe tector.
!STACK 0
org.eclipse.core.runtime.internal.adaptor.EclipseLazyStarter $TerminatingClassNotFoundException:
An error occurred while automatically activating bundle
org.eclipse.mylyn.java.ui (799).
at
org.eclipse.core.runtime.internal.adaptor.EclipseLazyStarter .postFindLocalClass(EclipseLazyStarter.java:125)
at
org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLoc alClass(ClasspathManager.java:417)
at
... continuing OSGI classes
at
org.eclipse.core.internal.registry.ConfigurationElementHandl e.createExecutableExtension(ConfigurationElementHandle.java: 51)
at
org.eclipse.mylyn.internal.tasks.ui.util.TasksUiExtensionRea der.readHyperlinkDetector(TasksUiExtensionReader.java:296)
at
org.eclipse.mylyn.internal.tasks.ui.util.TasksUiExtensionRea der.initStartupExtensions(TasksUiExtensionReader.java:183)
at org.eclipse.mylyn.tasks.ui.TasksUiPlugin.start(TasksUiPlugin .java:433)
at
org.eclipse.osgi.framework.internal.core.BundleContextImpl$2 .run(BundleContextImpl.java:999)
at java.security.AccessController.doPrivileged(Native Method)
... many more

Caused by: org.osgi.framework.BundleException: The activator
org.eclipse.mylyn.internal.java.ui.JavaUiBridgePlugin for bundle
org.eclipse.mylyn.java.ui is invalid
at
org.eclipse.osgi.framework.internal.core.AbstractBundle.load BundleActivator(AbstractBundle.java:141)
at
org.eclipse.osgi.framework.internal.core.BundleContextImpl.s tart(BundleContextImpl.java:970)
at
org.eclipse.osgi.framework.internal.core.BundleHost.startWor ker(BundleHost.java:346)
at
org.eclipse.osgi.framework.internal.core.AbstractBundle.star t(AbstractBundle.java:260)
at
org.eclipse.osgi.framework.util.SecureAction.start(SecureAct ion.java:400)
at
org.eclipse.core.runtime.internal.adaptor.EclipseLazyStarter .postFindLocalClass(EclipseLazyStarter.java:111)
... 85 more
Caused by: java.lang.NoClassDefFoundError:
org/eclipse/mylyn/internal/context/ui/AbstractContextUiPlugi n
at java.lang.ClassLoader.defineClass1(Native Method)
at java.lang.ClassLoader.defineClass(ClassLoader.java:620)
... more OSGI loader classes
Re: Unable to load class org.eclipse.mylyn.internal.java.ui.JavaStackTraceHyperlinkDetector [message #40696 is a reply to message #40634] Fri, 11 January 2008 02:01 Go to previous messageGo to next message
Eclipse UserFriend
Originally posted by: rob.elves.eclipse.org

There was a dependency issue that could lead to this miss-configuration,
especially when using the "Search for updates..." vs "Search for new
features..." option. This has been resolved on the following bug report:

214301: [update] could not load tasklist hyperlink detector extension
https://bugs.eclipse.org/bugs/show_bug.cgi?id=214301

To get your installation back in order, select Help (menu) > Software
Updates > Find and Install..., select the "Search for new features to
install" option, choose the Mylyn update site, and from the available
updates ensure you select the "Mylyn Focused UI" feature.

Regards,

-Rob



Francois Cottet wrote:
> Hi all,
>
> Since my Mylyn 2.2 update I have a recurrent error pop-up:
> The 'org.eclipse.mylyn.java.hyperlink.detector.stack' extension from
> plug-in 'org.eclipse.mylyn.java.ui' to the
> 'org.eclipse.ui.workbench.texteditor.hyperlinkDetectors' extension point
> failed to load the hyperlink detector.
> Plug-in org.eclipse.mylyn.java.ui was unable to load class
> org.eclipse.mylyn.internal.java.ui.JavaStackTraceHyperlinkDe tector.
> An error occurred while automatically activating bundle
> org.eclipse.mylyn.java.ui (799).
>
> The mylyn update was made today by the automatic eclipse install/update
> feature.
> I paste the log file of the workspace below, hoping this can help to
> figure out what's missing.
>
> And thanks to everyone making Mylyn such a great tool. I think it
> improved the way to work for many of us.
>
> Best regards,
> Francois
>
>
>
>
>
> !MESSAGE Plug-in org.eclipse.mylyn.java.ui was unable to load class
> org.eclipse.mylyn.internal.java.ui.JavaStackTraceHyperlinkDe tector.
> !STACK 0
> org.eclipse.core.runtime.internal.adaptor.EclipseLazyStarter $TerminatingClassNotFoundException:
> An error occurred while automatically activating bundle
> org.eclipse.mylyn.java.ui (799).
> at
> org.eclipse.core.runtime.internal.adaptor.EclipseLazyStarter .postFindLocalClass(EclipseLazyStarter.java:125)
>
> at
> org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLoc alClass(ClasspathManager.java:417)
>
> at
> ... continuing OSGI classes
> at
> org.eclipse.core.internal.registry.ConfigurationElementHandl e.createExecutableExtension(ConfigurationElementHandle.java: 51)
>
> at
> org.eclipse.mylyn.internal.tasks.ui.util.TasksUiExtensionRea der.readHyperlinkDetector(TasksUiExtensionReader.java:296)
>
> at
> org.eclipse.mylyn.internal.tasks.ui.util.TasksUiExtensionRea der.initStartupExtensions(TasksUiExtensionReader.java:183)
>
> at
> org.eclipse.mylyn.tasks.ui.TasksUiPlugin.start(TasksUiPlugin .java:433)
> at
> org.eclipse.osgi.framework.internal.core.BundleContextImpl$2 .run(BundleContextImpl.java:999)
>
> at java.security.AccessController.doPrivileged(Native Method)
> ... many more
>
> Caused by: org.osgi.framework.BundleException: The activator
> org.eclipse.mylyn.internal.java.ui.JavaUiBridgePlugin for bundle
> org.eclipse.mylyn.java.ui is invalid
> at
> org.eclipse.osgi.framework.internal.core.AbstractBundle.load BundleActivator(AbstractBundle.java:141)
>
> at
> org.eclipse.osgi.framework.internal.core.BundleContextImpl.s tart(BundleContextImpl.java:970)
>
> at
> org.eclipse.osgi.framework.internal.core.BundleHost.startWor ker(BundleHost.java:346)
>
> at
> org.eclipse.osgi.framework.internal.core.AbstractBundle.star t(AbstractBundle.java:260)
>
> at
> org.eclipse.osgi.framework.util.SecureAction.start(SecureAct ion.java:400)
> at
> org.eclipse.core.runtime.internal.adaptor.EclipseLazyStarter .postFindLocalClass(EclipseLazyStarter.java:111)
>
> ... 85 more
> Caused by: java.lang.NoClassDefFoundError:
> org/eclipse/mylyn/internal/context/ui/AbstractContextUiPlugi n
> at java.lang.ClassLoader.defineClass1(Native Method)
> at java.lang.ClassLoader.defineClass(ClassLoader.java:620)
> ... more OSGI loader classes
Re: Unable to load class org.eclipse.mylyn.internal.java.ui.JavaStackTraceHyperlinkDetector [message #40727 is a reply to message #40634] Fri, 11 January 2008 02:04 Go to previous messageGo to next message
Francois Cottet is currently offline Francois CottetFriend
Messages: 19
Registered: July 2009
Junior Member
I manually removed the subversive plugin and reinstall it from scratch
and the issue is gone.

I guess that the latest update for subversive is not working without
manually removing the files (the version numbers went backwards from 1.1
to 0.7 due to eclipse versioning requirement)

Regards,
Francois


Francois Cottet wrote:
> Hi all,
>
> Since my Mylyn 2.2 update I have a recurrent error pop-up:
> The 'org.eclipse.mylyn.java.hyperlink.detector.stack' extension from
> plug-in 'org.eclipse.mylyn.java.ui' to the
> 'org.eclipse.ui.workbench.texteditor.hyperlinkDetectors' extension point
> failed to load the hyperlink detector.
> Plug-in org.eclipse.mylyn.java.ui was unable to load class
> org.eclipse.mylyn.internal.java.ui.JavaStackTraceHyperlinkDe tector.
> An error occurred while automatically activating bundle
> org.eclipse.mylyn.java.ui (799).
>
> The mylyn update was made today by the automatic eclipse install/update
> feature.
> I paste the log file of the workspace below, hoping this can help to
> figure out what's missing.
>
> And thanks to everyone making Mylyn such a great tool. I think it
> improved the way to work for many of us.
>
> Best regards,
> Francois
>
>
>
>
>
> !MESSAGE Plug-in org.eclipse.mylyn.java.ui was unable to load class
> org.eclipse.mylyn.internal.java.ui.JavaStackTraceHyperlinkDe tector.
> !STACK 0
> org.eclipse.core.runtime.internal.adaptor.EclipseLazyStarter $TerminatingClassNotFoundException:
> An error occurred while automatically activating bundle
> org.eclipse.mylyn.java.ui (799).
> at
> org.eclipse.core.runtime.internal.adaptor.EclipseLazyStarter .postFindLocalClass(EclipseLazyStarter.java:125)
>
> at
> org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLoc alClass(ClasspathManager.java:417)
>
> at
> ... continuing OSGI classes
> at
> org.eclipse.core.internal.registry.ConfigurationElementHandl e.createExecutableExtension(ConfigurationElementHandle.java: 51)
>
> at
> org.eclipse.mylyn.internal.tasks.ui.util.TasksUiExtensionRea der.readHyperlinkDetector(TasksUiExtensionReader.java:296)
>
> at
> org.eclipse.mylyn.internal.tasks.ui.util.TasksUiExtensionRea der.initStartupExtensions(TasksUiExtensionReader.java:183)
>
> at
> org.eclipse.mylyn.tasks.ui.TasksUiPlugin.start(TasksUiPlugin .java:433)
> at
> org.eclipse.osgi.framework.internal.core.BundleContextImpl$2 .run(BundleContextImpl.java:999)
>
> at java.security.AccessController.doPrivileged(Native Method)
> ... many more
>
> Caused by: org.osgi.framework.BundleException: The activator
> org.eclipse.mylyn.internal.java.ui.JavaUiBridgePlugin for bundle
> org.eclipse.mylyn.java.ui is invalid
> at
> org.eclipse.osgi.framework.internal.core.AbstractBundle.load BundleActivator(AbstractBundle.java:141)
>
> at
> org.eclipse.osgi.framework.internal.core.BundleContextImpl.s tart(BundleContextImpl.java:970)
>
> at
> org.eclipse.osgi.framework.internal.core.BundleHost.startWor ker(BundleHost.java:346)
>
> at
> org.eclipse.osgi.framework.internal.core.AbstractBundle.star t(AbstractBundle.java:260)
>
> at
> org.eclipse.osgi.framework.util.SecureAction.start(SecureAct ion.java:400)
> at
> org.eclipse.core.runtime.internal.adaptor.EclipseLazyStarter .postFindLocalClass(EclipseLazyStarter.java:111)
>
> ... 85 more
> Caused by: java.lang.NoClassDefFoundError:
> org/eclipse/mylyn/internal/context/ui/AbstractContextUiPlugi n
> at java.lang.ClassLoader.defineClass1(Native Method)
> at java.lang.ClassLoader.defineClass(ClassLoader.java:620)
> ... more OSGI loader classes
Re: Unable to load class org.eclipse.mylyn.internal.java.ui.JavaStackTraceHyperlinkDetector [message #40850 is a reply to message #40696] Fri, 11 January 2008 03:48 Go to previous message
Francois Cottet is currently offline Francois CottetFriend
Messages: 19
Registered: July 2009
Junior Member
Thanks Rob.

Yes it seems to be the real reason underneath this error since i had
exactly the same scenario (doing a simple update rather than installing
a new mylyn version).

As indicated in a previsou message, reinstalling subversive and its
mylyn component fixed it as well (by installing the correct "Mylyn
Focused UI" feature).

Regards,
Francois


Robert Elves wrote:
>
> There was a dependency issue that could lead to this miss-configuration,
> especially when using the "Search for updates..." vs "Search for new
> features..." option. This has been resolved on the following bug report:
>
> 214301: [update] could not load tasklist hyperlink detector extension
> https://bugs.eclipse.org/bugs/show_bug.cgi?id=214301
>
> To get your installation back in order, select Help (menu) > Software
> Updates > Find and Install..., select the "Search for new features to
> install" option, choose the Mylyn update site, and from the available
> updates ensure you select the "Mylyn Focused UI" feature.
>
> Regards,
>
> -Rob
>
>
>
> Francois Cottet wrote:
>> Hi all,
>>
>> Since my Mylyn 2.2 update I have a recurrent error pop-up:
>> The 'org.eclipse.mylyn.java.hyperlink.detector.stack' extension from
>> plug-in 'org.eclipse.mylyn.java.ui' to the
>> 'org.eclipse.ui.workbench.texteditor.hyperlinkDetectors' extension
>> point failed to load the hyperlink detector.
>> Plug-in org.eclipse.mylyn.java.ui was unable to load class
>> org.eclipse.mylyn.internal.java.ui.JavaStackTraceHyperlinkDe tector.
>> An error occurred while automatically activating bundle
>> org.eclipse.mylyn.java.ui (799).
>>
>> The mylyn update was made today by the automatic eclipse
>> install/update feature.
>> I paste the log file of the workspace below, hoping this can help to
>> figure out what's missing.
>>
>> And thanks to everyone making Mylyn such a great tool. I think it
>> improved the way to work for many of us.
>>
>> Best regards,
>> Francois
>>
>>
>>
>>
>>
>> !MESSAGE Plug-in org.eclipse.mylyn.java.ui was unable to load class
>> org.eclipse.mylyn.internal.java.ui.JavaStackTraceHyperlinkDe tector.
>> !STACK 0
>> org.eclipse.core.runtime.internal.adaptor.EclipseLazyStarter $TerminatingClassNotFoundException:
>> An error occurred while automatically activating bundle
>> org.eclipse.mylyn.java.ui (799).
>> at
>> org.eclipse.core.runtime.internal.adaptor.EclipseLazyStarter .postFindLocalClass(EclipseLazyStarter.java:125)
>>
>> at
>> org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLoc alClass(ClasspathManager.java:417)
>>
>> at
>> ... continuing OSGI classes
>> at
>> org.eclipse.core.internal.registry.ConfigurationElementHandl e.createExecutableExtension(ConfigurationElementHandle.java: 51)
>>
>> at
>> org.eclipse.mylyn.internal.tasks.ui.util.TasksUiExtensionRea der.readHyperlinkDetector(TasksUiExtensionReader.java:296)
>>
>> at
>> org.eclipse.mylyn.internal.tasks.ui.util.TasksUiExtensionRea der.initStartupExtensions(TasksUiExtensionReader.java:183)
>>
>> at
>> org.eclipse.mylyn.tasks.ui.TasksUiPlugin.start(TasksUiPlugin .java:433)
>> at
>> org.eclipse.osgi.framework.internal.core.BundleContextImpl$2 .run(BundleContextImpl.java:999)
>>
>> at java.security.AccessController.doPrivileged(Native Method)
>> ... many more
>>
>> Caused by: org.osgi.framework.BundleException: The activator
>> org.eclipse.mylyn.internal.java.ui.JavaUiBridgePlugin for bundle
>> org.eclipse.mylyn.java.ui is invalid
>> at
>> org.eclipse.osgi.framework.internal.core.AbstractBundle.load BundleActivator(AbstractBundle.java:141)
>>
>> at
>> org.eclipse.osgi.framework.internal.core.BundleContextImpl.s tart(BundleContextImpl.java:970)
>>
>> at
>> org.eclipse.osgi.framework.internal.core.BundleHost.startWor ker(BundleHost.java:346)
>>
>> at
>> org.eclipse.osgi.framework.internal.core.AbstractBundle.star t(AbstractBundle.java:260)
>>
>> at
>> org.eclipse.osgi.framework.util.SecureAction.start(SecureAct ion.java:400)
>> at
>> org.eclipse.core.runtime.internal.adaptor.EclipseLazyStarter .postFindLocalClass(EclipseLazyStarter.java:111)
>>
>> ... 85 more
>> Caused by: java.lang.NoClassDefFoundError:
>> org/eclipse/mylyn/internal/context/ui/AbstractContextUiPlugi n
>> at java.lang.ClassLoader.defineClass1(Native Method)
>> at java.lang.ClassLoader.defineClass(ClassLoader.java:620)
>> ... more OSGI loader classes
Re: Unable to load class org.eclipse.mylyn.internal.java.ui.JavaStackTraceHyperlinkDetector [message #586804 is a reply to message #40634] Fri, 11 January 2008 02:01 Go to previous message
Robert Elves is currently offline Robert ElvesFriend
Messages: 87
Registered: July 2009
Member
There was a dependency issue that could lead to this miss-configuration,
especially when using the "Search for updates..." vs "Search for new
features..." option. This has been resolved on the following bug report:

214301: [update] could not load tasklist hyperlink detector extension
https://bugs.eclipse.org/bugs/show_bug.cgi?id=214301

To get your installation back in order, select Help (menu) > Software
Updates > Find and Install..., select the "Search for new features to
install" option, choose the Mylyn update site, and from the available
updates ensure you select the "Mylyn Focused UI" feature.

Regards,

-Rob



Francois Cottet wrote:
> Hi all,
>
> Since my Mylyn 2.2 update I have a recurrent error pop-up:
> The 'org.eclipse.mylyn.java.hyperlink.detector.stack' extension from
> plug-in 'org.eclipse.mylyn.java.ui' to the
> 'org.eclipse.ui.workbench.texteditor.hyperlinkDetectors' extension point
> failed to load the hyperlink detector.
> Plug-in org.eclipse.mylyn.java.ui was unable to load class
> org.eclipse.mylyn.internal.java.ui.JavaStackTraceHyperlinkDe tector.
> An error occurred while automatically activating bundle
> org.eclipse.mylyn.java.ui (799).
>
> The mylyn update was made today by the automatic eclipse install/update
> feature.
> I paste the log file of the workspace below, hoping this can help to
> figure out what's missing.
>
> And thanks to everyone making Mylyn such a great tool. I think it
> improved the way to work for many of us.
>
> Best regards,
> Francois
>
>
>
>
>
> !MESSAGE Plug-in org.eclipse.mylyn.java.ui was unable to load class
> org.eclipse.mylyn.internal.java.ui.JavaStackTraceHyperlinkDe tector.
> !STACK 0
> org.eclipse.core.runtime.internal.adaptor.EclipseLazyStarter $TerminatingClassNotFoundException:
> An error occurred while automatically activating bundle
> org.eclipse.mylyn.java.ui (799).
> at
> org.eclipse.core.runtime.internal.adaptor.EclipseLazyStarter .postFindLocalClass(EclipseLazyStarter.java:125)
>
> at
> org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLoc alClass(ClasspathManager.java:417)
>
> at
> ... continuing OSGI classes
> at
> org.eclipse.core.internal.registry.ConfigurationElementHandl e.createExecutableExtension(ConfigurationElementHandle.java: 51)
>
> at
> org.eclipse.mylyn.internal.tasks.ui.util.TasksUiExtensionRea der.readHyperlinkDetector(TasksUiExtensionReader.java:296)
>
> at
> org.eclipse.mylyn.internal.tasks.ui.util.TasksUiExtensionRea der.initStartupExtensions(TasksUiExtensionReader.java:183)
>
> at
> org.eclipse.mylyn.tasks.ui.TasksUiPlugin.start(TasksUiPlugin .java:433)
> at
> org.eclipse.osgi.framework.internal.core.BundleContextImpl$2 .run(BundleContextImpl.java:999)
>
> at java.security.AccessController.doPrivileged(Native Method)
> ... many more
>
> Caused by: org.osgi.framework.BundleException: The activator
> org.eclipse.mylyn.internal.java.ui.JavaUiBridgePlugin for bundle
> org.eclipse.mylyn.java.ui is invalid
> at
> org.eclipse.osgi.framework.internal.core.AbstractBundle.load BundleActivator(AbstractBundle.java:141)
>
> at
> org.eclipse.osgi.framework.internal.core.BundleContextImpl.s tart(BundleContextImpl.java:970)
>
> at
> org.eclipse.osgi.framework.internal.core.BundleHost.startWor ker(BundleHost.java:346)
>
> at
> org.eclipse.osgi.framework.internal.core.AbstractBundle.star t(AbstractBundle.java:260)
>
> at
> org.eclipse.osgi.framework.util.SecureAction.start(SecureAct ion.java:400)
> at
> org.eclipse.core.runtime.internal.adaptor.EclipseLazyStarter .postFindLocalClass(EclipseLazyStarter.java:111)
>
> ... 85 more
> Caused by: java.lang.NoClassDefFoundError:
> org/eclipse/mylyn/internal/context/ui/AbstractContextUiPlugi n
> at java.lang.ClassLoader.defineClass1(Native Method)
> at java.lang.ClassLoader.defineClass(ClassLoader.java:620)
> ... more OSGI loader classes
Re: Unable to load class org.eclipse.mylyn.internal.java.ui.JavaStackTraceHyperlinkDetector [message #586812 is a reply to message #40634] Fri, 11 January 2008 02:04 Go to previous message
Francois Cottet is currently offline Francois CottetFriend
Messages: 19
Registered: July 2009
Junior Member
I manually removed the subversive plugin and reinstall it from scratch
and the issue is gone.

I guess that the latest update for subversive is not working without
manually removing the files (the version numbers went backwards from 1.1
to 0.7 due to eclipse versioning requirement)

Regards,
Francois


Francois Cottet wrote:
> Hi all,
>
> Since my Mylyn 2.2 update I have a recurrent error pop-up:
> The 'org.eclipse.mylyn.java.hyperlink.detector.stack' extension from
> plug-in 'org.eclipse.mylyn.java.ui' to the
> 'org.eclipse.ui.workbench.texteditor.hyperlinkDetectors' extension point
> failed to load the hyperlink detector.
> Plug-in org.eclipse.mylyn.java.ui was unable to load class
> org.eclipse.mylyn.internal.java.ui.JavaStackTraceHyperlinkDe tector.
> An error occurred while automatically activating bundle
> org.eclipse.mylyn.java.ui (799).
>
> The mylyn update was made today by the automatic eclipse install/update
> feature.
> I paste the log file of the workspace below, hoping this can help to
> figure out what's missing.
>
> And thanks to everyone making Mylyn such a great tool. I think it
> improved the way to work for many of us.
>
> Best regards,
> Francois
>
>
>
>
>
> !MESSAGE Plug-in org.eclipse.mylyn.java.ui was unable to load class
> org.eclipse.mylyn.internal.java.ui.JavaStackTraceHyperlinkDe tector.
> !STACK 0
> org.eclipse.core.runtime.internal.adaptor.EclipseLazyStarter $TerminatingClassNotFoundException:
> An error occurred while automatically activating bundle
> org.eclipse.mylyn.java.ui (799).
> at
> org.eclipse.core.runtime.internal.adaptor.EclipseLazyStarter .postFindLocalClass(EclipseLazyStarter.java:125)
>
> at
> org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLoc alClass(ClasspathManager.java:417)
>
> at
> ... continuing OSGI classes
> at
> org.eclipse.core.internal.registry.ConfigurationElementHandl e.createExecutableExtension(ConfigurationElementHandle.java: 51)
>
> at
> org.eclipse.mylyn.internal.tasks.ui.util.TasksUiExtensionRea der.readHyperlinkDetector(TasksUiExtensionReader.java:296)
>
> at
> org.eclipse.mylyn.internal.tasks.ui.util.TasksUiExtensionRea der.initStartupExtensions(TasksUiExtensionReader.java:183)
>
> at
> org.eclipse.mylyn.tasks.ui.TasksUiPlugin.start(TasksUiPlugin .java:433)
> at
> org.eclipse.osgi.framework.internal.core.BundleContextImpl$2 .run(BundleContextImpl.java:999)
>
> at java.security.AccessController.doPrivileged(Native Method)
> ... many more
>
> Caused by: org.osgi.framework.BundleException: The activator
> org.eclipse.mylyn.internal.java.ui.JavaUiBridgePlugin for bundle
> org.eclipse.mylyn.java.ui is invalid
> at
> org.eclipse.osgi.framework.internal.core.AbstractBundle.load BundleActivator(AbstractBundle.java:141)
>
> at
> org.eclipse.osgi.framework.internal.core.BundleContextImpl.s tart(BundleContextImpl.java:970)
>
> at
> org.eclipse.osgi.framework.internal.core.BundleHost.startWor ker(BundleHost.java:346)
>
> at
> org.eclipse.osgi.framework.internal.core.AbstractBundle.star t(AbstractBundle.java:260)
>
> at
> org.eclipse.osgi.framework.util.SecureAction.start(SecureAct ion.java:400)
> at
> org.eclipse.core.runtime.internal.adaptor.EclipseLazyStarter .postFindLocalClass(EclipseLazyStarter.java:111)
>
> ... 85 more
> Caused by: java.lang.NoClassDefFoundError:
> org/eclipse/mylyn/internal/context/ui/AbstractContextUiPlugi n
> at java.lang.ClassLoader.defineClass1(Native Method)
> at java.lang.ClassLoader.defineClass(ClassLoader.java:620)
> ... more OSGI loader classes
Re: Unable to load class org.eclipse.mylyn.internal.java.ui.JavaStackTraceHyperlinkDetector [message #586876 is a reply to message #40696] Fri, 11 January 2008 03:48 Go to previous message
Francois Cottet is currently offline Francois CottetFriend
Messages: 19
Registered: July 2009
Junior Member
Thanks Rob.

Yes it seems to be the real reason underneath this error since i had
exactly the same scenario (doing a simple update rather than installing
a new mylyn version).

As indicated in a previsou message, reinstalling subversive and its
mylyn component fixed it as well (by installing the correct "Mylyn
Focused UI" feature).

Regards,
Francois


Robert Elves wrote:
>
> There was a dependency issue that could lead to this miss-configuration,
> especially when using the "Search for updates..." vs "Search for new
> features..." option. This has been resolved on the following bug report:
>
> 214301: [update] could not load tasklist hyperlink detector extension
> https://bugs.eclipse.org/bugs/show_bug.cgi?id=214301
>
> To get your installation back in order, select Help (menu) > Software
> Updates > Find and Install..., select the "Search for new features to
> install" option, choose the Mylyn update site, and from the available
> updates ensure you select the "Mylyn Focused UI" feature.
>
> Regards,
>
> -Rob
>
>
>
> Francois Cottet wrote:
>> Hi all,
>>
>> Since my Mylyn 2.2 update I have a recurrent error pop-up:
>> The 'org.eclipse.mylyn.java.hyperlink.detector.stack' extension from
>> plug-in 'org.eclipse.mylyn.java.ui' to the
>> 'org.eclipse.ui.workbench.texteditor.hyperlinkDetectors' extension
>> point failed to load the hyperlink detector.
>> Plug-in org.eclipse.mylyn.java.ui was unable to load class
>> org.eclipse.mylyn.internal.java.ui.JavaStackTraceHyperlinkDe tector.
>> An error occurred while automatically activating bundle
>> org.eclipse.mylyn.java.ui (799).
>>
>> The mylyn update was made today by the automatic eclipse
>> install/update feature.
>> I paste the log file of the workspace below, hoping this can help to
>> figure out what's missing.
>>
>> And thanks to everyone making Mylyn such a great tool. I think it
>> improved the way to work for many of us.
>>
>> Best regards,
>> Francois
>>
>>
>>
>>
>>
>> !MESSAGE Plug-in org.eclipse.mylyn.java.ui was unable to load class
>> org.eclipse.mylyn.internal.java.ui.JavaStackTraceHyperlinkDe tector.
>> !STACK 0
>> org.eclipse.core.runtime.internal.adaptor.EclipseLazyStarter $TerminatingClassNotFoundException:
>> An error occurred while automatically activating bundle
>> org.eclipse.mylyn.java.ui (799).
>> at
>> org.eclipse.core.runtime.internal.adaptor.EclipseLazyStarter .postFindLocalClass(EclipseLazyStarter.java:125)
>>
>> at
>> org.eclipse.osgi.baseadaptor.loader.ClasspathManager.findLoc alClass(ClasspathManager.java:417)
>>
>> at
>> ... continuing OSGI classes
>> at
>> org.eclipse.core.internal.registry.ConfigurationElementHandl e.createExecutableExtension(ConfigurationElementHandle.java: 51)
>>
>> at
>> org.eclipse.mylyn.internal.tasks.ui.util.TasksUiExtensionRea der.readHyperlinkDetector(TasksUiExtensionReader.java:296)
>>
>> at
>> org.eclipse.mylyn.internal.tasks.ui.util.TasksUiExtensionRea der.initStartupExtensions(TasksUiExtensionReader.java:183)
>>
>> at
>> org.eclipse.mylyn.tasks.ui.TasksUiPlugin.start(TasksUiPlugin .java:433)
>> at
>> org.eclipse.osgi.framework.internal.core.BundleContextImpl$2 .run(BundleContextImpl.java:999)
>>
>> at java.security.AccessController.doPrivileged(Native Method)
>> ... many more
>>
>> Caused by: org.osgi.framework.BundleException: The activator
>> org.eclipse.mylyn.internal.java.ui.JavaUiBridgePlugin for bundle
>> org.eclipse.mylyn.java.ui is invalid
>> at
>> org.eclipse.osgi.framework.internal.core.AbstractBundle.load BundleActivator(AbstractBundle.java:141)
>>
>> at
>> org.eclipse.osgi.framework.internal.core.BundleContextImpl.s tart(BundleContextImpl.java:970)
>>
>> at
>> org.eclipse.osgi.framework.internal.core.BundleHost.startWor ker(BundleHost.java:346)
>>
>> at
>> org.eclipse.osgi.framework.internal.core.AbstractBundle.star t(AbstractBundle.java:260)
>>
>> at
>> org.eclipse.osgi.framework.util.SecureAction.start(SecureAct ion.java:400)
>> at
>> org.eclipse.core.runtime.internal.adaptor.EclipseLazyStarter .postFindLocalClass(EclipseLazyStarter.java:111)
>>
>> ... 85 more
>> Caused by: java.lang.NoClassDefFoundError:
>> org/eclipse/mylyn/internal/context/ui/AbstractContextUiPlugi n
>> at java.lang.ClassLoader.defineClass1(Native Method)
>> at java.lang.ClassLoader.defineClass(ClassLoader.java:620)
>> ... more OSGI loader classes
Previous Topic:Detecting a mid-air collision with Bugzilla
Next Topic:Unable to execute jira query
Goto Forum:
  


Current Time: Fri Dec 19 16:00:35 GMT 2014

Powered by FUDForum. Page generated in 0.01882 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software